Announcement

Collapse
No announcement yet.

Updated and Optimized Ubuntu Free Graphics Drivers

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Originally posted by lorn10 View Post
    Just for reference, - it works now again in Mesa 22.0.0-devel (git-ae99ea6 2021-10-14 focal-oibaf-ppa).
    Thanks for the feedback, it was then a temporary regression.

    Comment


    • Packages for Ubuntu Jammy are now provided in the PPA.

      Comment


      • Hi,
        I've been using the PPA for quite a while. Thank you for maintaining it!
        However, lately I had to downgrade packages by using
        Code:
        sudo ppa-purge ppa:oibaf/graphics-drivers
        Sadly, some were not downgraded:
        Code:
        $ apt list --installed | grep oibaf
        
        WARNING: apt does not have a stable CLI interface. Use with caution in scripts.
        
        libegl1/now 1.3.3-1~oibaf~f amd64 [installed,local]
        libgl-dev/now 1.3.3-1~oibaf~f amd64 [installed,local]
        libgl1/now 1.3.3-1~oibaf~f amd64 [installed,local]
        libgl1/now 1.3.3-1~oibaf~f i386 [installed,local]
        libgles2/now 1.3.3-1~oibaf~f amd64 [installed,local]
        libglvnd0/now 1.3.3-1~oibaf~f amd64 [installed,local]
        libglvnd0/now 1.3.3-1~oibaf~f i386 [installed,local]
        libglx-dev/now 1.3.3-1~oibaf~f amd64 [installed,local]
        libglx0/now 1.3.3-1~oibaf~f amd64 [installed,local]
        libglx0/now 1.3.3-1~oibaf~f i386 [installed,local]
        I'll try downgrading them manually but it would be better if ppa-purge could do that.

        Comment


        • And here follows a short crocus related question, - is crocus VA-API support now included in this PPA?

          According to the following information there should exist support for this in the intel-vaapi-driver. However, in my case the corresponding crocus_drv_video.so file is missing. Currently I am on Mesa 22.0.0-devel (git-71673cd 2022-01-19 focal-oibaf-ppa).

          Comment


          • Originally posted by lorn10 View Post
            And here follows a short crocus related question, - is crocus VA-API support now included in this PPA?

            According to the following information there should exist support for this in the intel-vaapi-driver. However, in my case the corresponding crocus_drv_video.so file is missing. Currently I am on Mesa 22.0.0-devel (git-71673cd 2022-01-19 focal-oibaf-ppa).
            Hi, I pushed an updated libva. Can you try again tomorrow, after new mesa build, and let me know?
            Thanks for the hint.

            Comment


            • Hi oibaf

              Many thank for this super fast response!

              I should note that my system is a dual-GPU one. It contains an Intel HD 2000 "Sandy Bridge" and a Radeon HD 6770 "TURKS" GPU. The scheme is as follow, GPU0 is the AMD GPU while GPU1 is the Intel GPU. Yes, I know this is strange but that's the way how Apple has implemented it at the iMac 12,2.

              My used oibaf build is now Mesa 22.0.0-devel (git-0c31ab3 2022-01-20 focal-oibaf-ppa).

              Unfortunately VA-API is still not functional in conjunction with the crocus driver. For whatever reason it always uses the r600_drv_video.so file instead for the crocus_drv_video.so (which still doesn't exist I think).
              Code:
              [email protected]:~/Downloads$ DRI_PRIME=1 mpv big_buck_bunny_1080p_h264_AAC.mov
              (+) Video --vid=1 (*) (h264 1920x1080 24.000fps)
              (+) Audio --aid=1 --alang=eng (*) (aac 6ch 48000Hz)
              crocus: driver missing
              crocus: driver missing
              [vaapi] libva: /usr/lib/x86_64-linux-gnu/dri/r600_drv_video.so init failed
              AO: [pulse] 48000Hz 5.1 6ch float
              VO: [gpu] 1920x1080 yuv420p
              AV: 00:00:27 / 00:09:56 (4%) A-V: 0.000
              
              
              Exiting... (Quit)
              However, it works fine with the Radeon dGPU:

              Code:
              [email protected]:~/Downloads$ DRI_PRIME=0 mpv big_buck_bunny_1080p_h264_AAC.mov
              (+) Video --vid=1 (*) (h264 1920x1080 24.000fps)
              (+) Audio --aid=1 --alang=eng (*) (aac 6ch 48000Hz)
              Using hardware decoding (vaapi).
              AO: [pulse] 48000Hz 5.1 6ch float
              VO: [gpu] 1920x1080 vaapi[nv12]
              AV: 00:00:14 / 00:09:56 (2%) A-V: 0.000
              
              
              Exiting... (Quit)

              Comment


              • Originally posted by lorn10 View Post
                Hi oibaf

                Many thank for this super fast response!

                I should note that my system is a dual-GPU one. It contains an Intel HD 2000 "Sandy Bridge" and a Radeon HD 6770 "TURKS" GPU. The scheme is as follow, GPU0 is the AMD GPU while GPU1 is the Intel GPU. Yes, I know this is strange but that's the way how Apple has implemented it at the iMac 12,2.

                My used oibaf build is now Mesa 22.0.0-devel (git-0c31ab3 2022-01-20 focal-oibaf-ppa).

                Unfortunately VA-API is still not functional in conjunction with the crocus driver. For whatever reason it always uses the r600_drv_video.so file instead for the crocus_drv_video.so (which still doesn't exist I think).
                Code:
                [email protected]:~/Downloads$ DRI_PRIME=1 mpv big_buck_bunny_1080p_h264_AAC.mov
                (+) Video --vid=1 (*) (h264 1920x1080 24.000fps)
                (+) Audio --aid=1 --alang=eng (*) (aac 6ch 48000Hz)
                crocus: driver missing
                crocus: driver missing
                [vaapi] libva: /usr/lib/x86_64-linux-gnu/dri/r600_drv_video.so init failed
                AO: [pulse] 48000Hz 5.1 6ch float
                VO: [gpu] 1920x1080 yuv420p
                AV: 00:00:27 / 00:09:56 (4%) A-V: 0.000
                
                
                Exiting... (Quit)
                However, it works fine with the Radeon dGPU:

                Code:
                [email protected]:~/Downloads$ DRI_PRIME=0 mpv big_buck_bunny_1080p_h264_AAC.mov
                (+) Video --vid=1 (*) (h264 1920x1080 24.000fps)
                (+) Audio --aid=1 --alang=eng (*) (aac 6ch 48000Hz)
                Using hardware decoding (vaapi).
                AO: [pulse] 48000Hz 5.1 6ch float
                VO: [gpu] 1920x1080 vaapi[nv12]
                AV: 00:00:14 / 00:09:56 (2%) A-V: 0.000
                
                
                Exiting... (Quit)
                I had another look at the issue, it seems the patch was merged after libva 2.13, which currently is the latest version. As soon as a new version will be released I may sync it in the PPA.

                Comment


                • Ubuntu hirsute/21.04 is EoL, upgrade to impish/21.10.

                  Comment


                  • A short hint from my side, - libva 2.14 is out and it includes now finally also crocus VA-API support!

                    Comment


                    • Originally posted by lorn10 View Post
                      A short hint from my side, - libva 2.14 is out and it includes now finally also crocus VA-API support!
                      It's in now!
                      Please test and let me know.

                      Comment

                      Working...
                      X